<div class="titrePage">
  <h2>SecureImages</h2>
</div>

<p>
SecureImages allows you to completely block unauthorized access to your images. This comes with some cost (in terms of operations/time needed).
</p>
<form method="post" action="{SECUREIMAGES_F_ACTION}" id="update">
<fieldset>
	<legend>.htaccess management</legend>

        <fieldset>
        <legend>Simulation</legend>

        <ul><li><label><input type="checkbox" name="simulate" value="1" checked="checked" /> only perform a simulation (no change in filesystem will be made)</label></li></ul>

        </fieldset>

    <fieldset>
            <legend>.htaccess type</legend>
        <ul>
          <li><label><input type="radio" name="htaccess_type" value="selective" {SECUREIMAGES_TYPE_IS_SELECTIVE} /> Selective</label> <br /> Only protect data that are not public. Information that is public will not be handled by the plugin, thus making it faster to retrieve. However this means that .htaccess files must be refreshed each time access control settings are modified or new images are added to <b><u>existing</u></b> categories. This method is recommended.</li>
          <li><label><input type="radio" name="htaccess_type" value="complete" {SECUREIMAGES_TYPE_IS_COMPLETE} /> Complete</label> <br /> Every single file is handled by the plugin (the <i>Exceptions settings</i> below are discarded!). This has the advantage of not having to refresh .htaccess files for new content added, but also means slower transfer for your users and more ressources used on your web hosting server. This method can solve any compatibility issues you might have (peculiar errors appearing with the above one, like HTTP/500 errors).</li>
        </ul>
    </fieldset>

    <ul>
      <li><label><input type="radio" name="htaccess_action" value="create" checked /> Create the necessary files (all existing .htaccess files will be overwritten or removed)</label></li>
      <li><label><input type="radio" name="htaccess_action" value="remove" /> Remove the existing files</label></li>
    </ul>
    <br />
    <legend>Extra content for .htaccess files (the <i>__WRITE_HERE__</i> keyword will be replaced by the generated content for each .htaccess file; if not specified, extra content is appended at the end of the files)</legend>
    <textarea name="htaccess_extra_content" rows="5" cols="80">{SECUREIMAGES_HTACCESS_EXTRA}</textarea>
    <br />
    <br />

    <legend>{lang:update_cats_subset}</legend>
    <select class="categoryList" name="cat" size="10">
      <!-- BEGIN categories -->
      <option {categories.SELECTED} value="{categories.VALUE}">{categories.OPTION}</option>
      <!-- END categories -->
    </select>

    <br />
    <label><input type="checkbox" name="subcats-included" value="1" checked /> {lang:search_subcats_included}</label>

</fieldset>

<fieldset>
	<legend>Exceptions (only effective with the selective .htaccess type)</legend>

    <legend>Do not protect the following file types (multiple [de]selection with Ctrl key)</legend>
    <select name="file_types[]" size="3" multiple="multiple" >
      <!-- BEGIN file_types -->
      <option {file_types.SELECTED} value="{file_types.VALUE}">{file_types.OPTION}</option>
      <!-- END file_types -->
    </select>

    <br />
    <br />

    <label><input type="checkbox" name="unhandle_representatives" value="1" {SECUREIMAGES_CHECK_UNHANDLE_REPRESENTATIVES} /> Allow access to private thumbnails that are representative of public categories.</label>

    <br />
    <br />

    <legend>Do not handle files greater than (0 to disable)</legend>
    <input type="text" name="max_file_size_value" value="{SECUREIMAGES_TEXT_MAX_FILE_SIZE_VALUE}" size="7" />
    <select name="max_file_size_unit" size="1" >
      <option {SECUREIMAGES_TEXT_MAX_FILE_SIZE_UNIT_IS_KB} value="KB">KBytes</option>
      <option {SECUREIMAGES_TEXT_MAX_FILE_SIZE_UNIT_IS_MB} value="MB">MBytes</option>
    </select>
</fieldset>

<p><input class="submit" type="submit" value="Submit" /></p>

<input type="hidden" name="posted" value="1" />

</form>
